Get idling events.

Get idling events for the requested time duration.

Note: The data from this endpoint comes from the new Advanced Idling Report, which provides additional data fields for each idling event such as air temperature, geofence, PTO state and minimum idle time. This endpoint includes data from January 1, 2024. If you require additional historical data, you can access it via the vehicle idling reports API.

Rate limit: 5 requests/sec (learn more about rate limits here).

To use this endpoint, select Read Idling under the Fuel & Energy category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Query Params
string
required

The start of the time range for filtering idling events in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-11T19:00:00Z, 2015-09-12T14:00:00-04:00). Returns events that begin at or after this timestamp.

string
required

The end of the time range for filtering idling events in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:00:00Z, 2015-09-15T14:00:00-04:00). Returns events that begin before this timestamp.

assetIds
array of strings

A filter on the data based on this comma-separated list of asset IDs. Asset IDs only include vehicle IDs at this time.

assetIds
operatorIds
array of strings

A filter on the data based on this comma-separated list of operator IDs. Operator IDs only include driver IDs at this time.

operatorIds
string
enum

A filter on the data on this PTO (Power Take-Off) state. If no specific state is provided, data including any state will be included. Valid values: active, inactive

Allowed:
integer
-20000 to 50000

A filter on the data based on the minimum value of air temperature in millicelsius. The acceptable range for this value is between -20,000 and 50,000 millicelsius.

integer
-20000 to 50000

A filter on the data based on the maximum value of air temperature in millicelsius. The acceptable range for this value is between -20,000 and 50,000 millicelsius.

boolean
Defaults to false

A filter on the data based on unknown air temperature value.

integer
120000 to 86400000

A filter on the data based on the minimum value of Idling duration in milliseconds. The acceptable range for this value is between 2 minutes and 24 hours.

integer
120000 to 86400000

A filter on the data based on the maximum value of Idling duration in milliseconds. The acceptable range for this value is between 2 minutes and 24 hours.

tagIds
array of strings

A filter on the data based on this comma-separated list of tag IDs. Tag IDs only include vehicle IDs at this time.

tagIds
parentTagIds
array of strings

A filter on the data based on this comma-separated list of parent tag IDs. Parent tag IDs only include vehicle IDs at this time.

parentTagIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

integer
1 to 200
Defaults to 200

The limit for how many objects will be in the response. Default and max for this value is 200 objects.

Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json